public class MyArrayList<E> {
    int size;
    private Object[] elements;
    private Object[] temp;

    public MyArrayList() {
        elements = new Object[0];
        size = 0;
    }

    public MyArrayList(int num) {
        elements = new Object[num];
        size = 0;
    }


    public void add(E e) {
        if (size < elements.length) {
            elements[size] = e;
        } else {
            temp = new Object[elements.length + 1];
            for (int i = 0; i < elements.length; i++) {
                temp[i] = elements[i];
            }
            temp[temp.length - 1] = e;
            elements = temp;
        }
        size++;
    }

    public E get(int index) {
        if (index >= size)
            throw new IndexOutOfBoundsException("Index: " + index + ", Size: " + size);
        return (E) elements[index];
    }

    public void set(int index, E e){
        elements[index] = e;
    }

    public int size() {
        return size;
    }
    public void remove(E e) {
        temp = new Object[elements.length - 1];
        int j = 0;
        for(int i =0; i < elements.length; i++){
            if(elements[i] != e){
                temp[j] = elements[i];
                j++;
            }
        }
        elements = temp;
        size--;
    }

    public boolean contains(E e){
        boolean cont = false;
        for(Object o : elements){
            if(o.equals(e)){
                cont =  true;
            }
        }
        return cont;
    }

    public void clear(){
        elements = new Object[0];
        size = 0;
    }

    public boolean isEmpty(){
        if(elements.length == 0){
            return true;
        } else {
            return false;
        }
    }


}



