import java.util.Arrays;

public class MySet<E> {

    private E[] array;

    public MySet(E[] array){
        this.array = array;
    }


    public boolean add(E value) {
        boolean add = false;
        E[] arr = Arrays.copyOf(this.array,this.array.length+1);
        int count = 0;
        for (int i = 0; i <array.length ; i++) {
            if(array[i] == value){
                add = false;
            }
            else if(array[i] != value){
                arr[count] = array[i];
                count++;
                add = true;
            }
        }
        return add;
    }


    public boolean addAll(Long[] array2merge) {

        boolean add = false;
        E[] arr = Arrays.copyOf(this.array,this.array.length+array2merge.length);
        int count = 0;
        for (int i = 0; i <array.length ; i++) {
            if(array[i] == array2merge[i]){
                add = false;
            }
            else{
                add = true;
                arr[count] = array[i];
                count++;

            }
        }
        return add;
    }

    public E[] clear() {
        E[] arr = Arrays.copyOf(this.array,0);

        return arr;
    }

    public boolean contains(E value) {
        boolean bool = false;
        for (E s: array) {
            if (s.equals(value)){
                bool = true;
            }
        }
        return bool;
    }


    public boolean equal(E value) {
        boolean bool = false;
        for(int i = 0; i<array.length; i++){
            if(array[i] == value){
                bool = true;
            }
        }
        return bool;
    }

    public boolean isEmpty() {
        if(array.length == 0){
            return true;
        }
        return false;
    }


    public int hashaCode() {
        int hash;

        hash = array.hashCode();

        return hash;

    }

    public int size() {
        int size = array.length;

        return size;

    }

    public E[] remove(int index) {
        E[] arr = Arrays.copyOf(this.array,this.array.length-1);
        int count = 0;
        for(int i = 0; i < array.length; i++){
            if(i != index){

                arr[count] = array[i];
                count++;
            }
        }
        return arr;
    }
}
