import org.junit.Test;

import static org.junit.Assert.*;

public class MyArrayListTest {

    @Test
    public void constructorTest() {
        MyArrayList al = new MyArrayList(4);
        int actual = al.size();
        int expected = 0;
        assertEquals(expected, actual);
    }

    @Test
    public void add4() {
        MyArrayList al = new MyArrayList(4);
        al.add("hello");
        al.add("hello");
        int actual = al.size();
        int expected = 2;
        assertEquals(expected, actual);
    }

    @Test
    public void add() {
        MyArrayList al = new MyArrayList();
        al.add(4);
        int actual = al.size();
        int expected = 1;
        assertEquals(expected, actual);
    }
    @Test
    public void add3() {
        MyArrayList al = new MyArrayList();
        al.add("hello");
        al.add("hello");
        int actual = al.size();
        int expected = 2;
        assertEquals(expected, actual);
    }



    @Test
    public void get() {
        MyArrayList al = new MyArrayList();
        al.add("hello");
        al.add("goodbye");
        Object actual = al.get(1);
        Object expected = "goodbye";
        assertEquals(expected, actual);

    }

    @Test
    public void size() {
        MyArrayList al = new MyArrayList();
        al.add("sally");
        al.add("marie");
        int actual = al.size();
        int expected = 2;
        assertEquals(expected, actual);
    }

    @Test
    public void contains(){
        MyArrayList al = new MyArrayList();
        al.add("shiv");
        al.add("ben");
        assertTrue(al.contains("shiv"));
    }

    @Test
    public void clear(){
        MyArrayList al = new MyArrayList();
        al.add("shiv");
        al.add("ben");
        al.clear();
        int actual = al.size();
        int expected = 0;
        assertEquals(expected, actual);
    }

    @Test
    public void isEmpty(){
        MyArrayList al = new MyArrayList();
        assertTrue(al.isEmpty());

    }

    @Test
    public void remove(){
        MyArrayList al = new MyArrayList();
        al.add(4);
        al.remove(4);
        int actual = al.size();
        int expected = 0;
        assertEquals(expected, actual);
    }
    @Test
    public void set(){
        MyArrayList al = new MyArrayList();
        al.add(4);
        al.add(4);
        al.add(4);
        al.add(4);
        al.set(3, 9);
        Object actual = al.get(3);
        Object expected = 9;
        assertEquals(expected, actual);
    }


}